public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/julia/
Date: Fri, 25 Dec 2020 23:28:35 +0000 (UTC)	[thread overview]
Message-ID: <1608938894.622c0360dd8eeddc6573ab4c3ad08eccd17dc8a1.tamiko@gentoo> (raw)

commit:     622c0360dd8eeddc6573ab4c3ad08eccd17dc8a1
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 25 23:27:36 2020 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Fri Dec 25 23:28:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=622c0360

dev-lang/julia: fix compilation

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 dev-lang/julia/julia-1.5.2-r1.ebuild | 2 +-
 dev-lang/julia/julia-1.5.3.ebuild    | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/dev-lang/julia/julia-1.5.2-r1.ebuild b/dev-lang/julia/julia-1.5.2-r1.ebuild
index 5460b616b19..22f76c79cf8 100644
--- a/dev-lang/julia/julia-1.5.2-r1.ebuild
+++ b/dev-lang/julia/julia-1.5.2-r1.ebuild
@@ -200,7 +200,7 @@ src_install() {
 	rmdir "${ED}"/usr/share/doc/julia || die
 
 	# The appdata directory is deprecated.
-	mv usr/share/{appdata,metainfo}/ || die
+	mv "${ED}"/usr/share/{appdata,metainfo}/ || die
 }
 
 pkg_postinst() {

diff --git a/dev-lang/julia/julia-1.5.3.ebuild b/dev-lang/julia/julia-1.5.3.ebuild
index 58e0c6d0bba..b8117838fb9 100644
--- a/dev-lang/julia/julia-1.5.3.ebuild
+++ b/dev-lang/julia/julia-1.5.3.ebuild
@@ -180,17 +180,17 @@ src_compile() {
 	# Julia accesses /proc/self/mem on Linux
 	addpredict /proc/self/mem
 
-	emake julia-release \
+	emake \
 		prefix="${EPREFIX}/usr" DESTDIR="${D}" \
 		CC="$(tc-getCC)" CXX="$(tc-getCXX)" AR="$(tc-getAR)"
 	pax-mark m "$(file usr/bin/julia-* | awk -F : '/ELF/ {print $1}')"
-	emake
 }
 
 src_install() {
 	emake install \
 		prefix="${EPREFIX}/usr" DESTDIR="${D}" \
-		CC="$(tc-getCC)" CXX="$(tc-getCXX)"
+		CC="$(tc-getCC)" CXX="$(tc-getCXX)" AR="$(tc-getAR)" \
+		BUNDLE_DEBUG_LIBS=0
 
 	if ! use system-llvm ; then
 		cp "${S}/usr/lib/libLLVM"-?jl.so "${ED}/usr/$(get_libdir)/julia/" || die
@@ -204,7 +204,7 @@ src_install() {
 	rmdir "${ED}"/usr/share/doc/julia || die
 
 	# The appdata directory is deprecated.
-	mv usr/share/{appdata,metainfo}/ || die
+	mv "${ED}"/usr/share/{appdata,metainfo}/ || die
 }
 
 pkg_postinst() {


             reply	other threads:[~2020-12-25 23:28 UTC|newest]

Thread overview: 79+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-25 23:28 Matthias Maier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-26 13:13 [gentoo-commits] repo/gentoo:master commit in: dev-lang/julia/ Eli Schwartz
2023-05-14  6:30 Matthias Maier
2023-05-02  0:39 Maciej Barć
2023-04-30 11:10 Maciej Barć
2023-02-13 16:53 Maciej Barć
2023-02-13 14:46 Maciej Barć
2023-01-01 22:45 Maciej Barć
2023-01-01 12:30 Maciej Barć
2022-12-13  6:28 Matthias Maier
2022-12-13  6:22 Matthias Maier
2022-12-13  5:30 Maciej Barć
2022-11-16 16:27 Maciej Barć
2022-10-08 23:21 Maciej Barć
2022-07-26 21:40 Maciej Barć
2022-06-06  5:17 Matthias Maier
2022-03-17 16:18 Maciej Barć
2022-01-04 16:21 Matthias Maier
2022-01-03 22:22 Matthias Maier
2022-01-03 21:37 Matthias Maier
2021-11-18  6:38 Matthias Maier
2021-09-25  2:58 Sam James
2021-04-08  2:31 Matthias Maier
2021-04-08  2:31 Matthias Maier
2021-04-08  2:31 Matthias Maier
2021-04-08  2:31 Matthias Maier
2021-04-08  2:31 Matthias Maier
2020-12-26  0:53 Matthias Maier
2020-12-25 21:56 Matthias Maier
2020-12-25 21:56 Matthias Maier
2020-12-25 21:17 Matthias Maier
2020-12-04  5:53 Matthias Maier
2020-10-02 18:27 Matthias Maier
2020-10-02 17:42 Matthias Maier
2020-10-02 17:42 Matthias Maier
2020-07-01 16:38 Andreas K. Hüttel
2020-06-22  6:53 Andreas K. Hüttel
2020-06-21 19:49 Andreas K. Hüttel
2020-04-07 21:03 Matthias Maier
2020-04-04 19:32 Matthias Maier
2019-12-11  3:33 Matthias Maier
2019-12-11  3:33 Matthias Maier
2019-12-11  3:33 Matthias Maier
2019-09-22  2:18 Matthias Maier
2019-08-05 15:03 Matthias Maier
2019-05-25 17:42 Matthias Maier
2018-10-06 19:56 Matthias Maier
2018-09-04  1:20 Matthias Maier
2018-09-04  1:20 Matthias Maier
2018-08-31  3:23 Matthias Maier
2018-08-31  2:32 Matthias Maier
2018-08-31  2:32 Matthias Maier
2018-08-27 22:00 Matthias Maier
2018-07-01  4:49 Matthias Maier
2018-07-01  4:11 Matthias Maier
2018-06-30 22:55 Matthias Maier
2018-05-25  7:47 Fabian Groffen
2018-03-19  1:01 Matthias Maier
2018-03-19  1:01 Matthias Maier
2018-03-01 19:13 Matthias Maier
2017-11-28 11:12 Matthias Maier
2017-11-28 11:12 Matthias Maier
2017-11-28 11:12 Matthias Maier
2017-11-27 18:09 Matthias Maier
2017-11-27 18:09 Matthias Maier
2017-10-07  4:12 Matthias Maier
2017-09-25  7:35 Patrick Lauer
2017-09-25  6:44 Patrick Lauer
2017-09-16  5:27 Matthias Maier
2017-09-16  5:01 Matthias Maier
2017-07-27  0:41 Matthias Maier
2017-04-27 12:31 Patrick Lauer
2017-03-22 23:04 Matthias Maier
2016-09-25  5:49 Matthias Maier
2016-09-24 21:25 Matthias Maier
2016-07-05 19:04 Michał Górny
2016-04-13  5:53 Austin English
2016-01-22 17:14 Matthias Maier
2016-01-16 11:48 Matthias Maier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1608938894.622c0360dd8eeddc6573ab4c3ad08eccd17dc8a1.tamiko@gentoo \
    --to=tamiko@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox